classification
Title: clarify argparse docs re: add_argument() type and default arguments
Type: behavior Stage: needs patch
Components: Documentation Versions: Python 3.2, Python 3.3, Python 2.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: barry Nosy List: barry, bethard, chris.jerdonek, docs@python, ezio.melotti, python-dev, r.david.murray
Priority: normal Keywords: easy, patch

Created on 2012-09-12 21:26 by chris.jerdonek, last changed 2012-09-25 15:10 by r.david.murray. This issue is now closed.

Files
File name Uploaded Description Edit
issue-15935-1.patch chris.jerdonek, 2012-09-12 23:18 review
Messages (7)
msg170421 - (view) Author: Chris Jerdonek (chris.jerdonek) * (Python committer) Date: 2012-09-12 21:26
This issue is to clarify in the documentation the argparse behavior for which tests were added in issue 15906.

The behavior involves when the type callable should be applied to default arguments.  See, for example, the following comment for what roughly needs to be added:

http://bugs.python.org/issue15906#msg170404

I will provide a patch.
msg170424 - (view) Author: Chris Jerdonek (chris.jerdonek) * (Python committer) Date: 2012-09-12 23:18
Attaching patch.
msg170428 - (view) Author: Steven Bethard (bethard) * (Python committer) Date: 2012-09-13 08:24
Looks good to me.
msg170498 - (view) Author: Chris Jerdonek (chris.jerdonek) * (Python committer) Date: 2012-09-15 01:00
If this looks good, can one of you three (Steven, Barry, or David) commit it in the three branches?
msg171281 - (view) Author: Barry A. Warsaw (barry) * (Python committer) Date: 2012-09-25 14:29
Looks good to me too!   Thanks; I'll apply the patch.
msg171284 - (view) Author: Roundup Robot (python-dev) Date: 2012-09-25 14:48
New changeset b624059a8dac by Barry Warsaw in branch '2.7':
- Issue #15935: Clarification of argparse docs, re: add_argument() type and
http://hg.python.org/cpython/rev/b624059a8dac

New changeset b738e42e664a by Barry Warsaw in branch '3.2':
- Issue #15935: Clarification of argparse docs, re: add_argument() type and
http://hg.python.org/cpython/rev/b738e42e664a
msg171285 - (view) Author: R. David Murray (r.david.murray) * (Python committer) Date: 2012-09-25 15:10
FTR, the 3.3 commit is cce2bfe03dc5.
History
Date User Action Args
2012-09-25 15:10:02r.david.murraysetmessages: + msg171285
2012-09-25 14:48:55barrysetstatus: open -> closed
resolution: fixed
2012-09-25 14:48:33python-devsetnosy: + python-dev
messages: + msg171284
2012-09-25 14:29:34barrysetassignee: docs@python -> barry
messages: + msg171281
2012-09-22 14:09:35chris.jerdoneksetnosy: + ezio.melotti
2012-09-15 01:00:47chris.jerdoneksetmessages: + msg170498
2012-09-13 08:24:43bethardsetmessages: + msg170428
2012-09-12 23:18:44chris.jerdoneksetfiles: + issue-15935-1.patch
keywords: + patch
messages: + msg170424
2012-09-12 21:26:15chris.jerdonekcreate